# reloadBadges

## Example

```typescript
import { reloadBadges } from "emotettv";

await reloadBadges({ channelId: "98776633" });
```

## API

* [`reloadBadges(...)`](#reloadbadges)

### reloadBadges(...)

```typescript
reloadBadges: (_options?: Partial<ParserOptions> | null) => Promise<void>
```

Forcefully reload global and channel badges from all providers

| Param           | Type                              |
| --------------- | --------------------------------- |
| **`_options?`** | [`ParserOptions`](#parseroptions) |

**Returns:** `Promise<void>`

## Types

### ParserOptions

| Prop            | Type                      | Description                                                 |
| --------------- | ------------------------- | ----------------------------------------------------------- |
| **`channelId`** | `string \| null`          | ID of channel badges will be fetched from                   |
| **`providers`** | [`Providers`](#providers) | List of enabled badge providers. All are active by default. |

### Providers

{% hint style="info" %}
You can also add any providers you create. See [custom emotes/badges](https://emotettv.gitbook.io/emotettv/guides/custom-emotes-badges) guide for more information.
{% endhint %}

| Prop          | Type      | Description          |
| ------------- | --------- | -------------------- |
| **`twitch`**  | `boolean` | Enable Twitch badges |
| **`bttv`**    | `boolean` | Enable BTTV badges   |
| **`ffz`**     | `boolean` | Enable FFZ badges    |
| **`seventv`** | `boolean` | Enable 7TV badges    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://emotettv.gitbook.io/emotettv/api-reference/reloadbadges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
